curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-zalando-products-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"keyword": "sneaker",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-zalando-products-search"
payload = {
"keyword": "sneaker",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({keyword: 'sneaker', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-zalando-products-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "zalando_products_search",
"keyword": "sneaker",
"max_items": 2,
"start_page": 1,
"brand": null,
"size": null,
"color": null,
"min_price": null,
"max_price": null,
"sort": "popularity",
"partial": false,
"human": "# Zalando products search\n\n- **Keyword:** sneaker\n- **Sort:** popularity\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.59 MB",
"machine": {
"total_items": 2,
"items": [
{
"@type": "ZalandoSearchProduct",
"id": "NE242A0O4-B11",
"url": "https://www.zalando.de/new-balance-sneaker-low-beige-beige-ne242a0o4-b11.html",
"name": "530 UNISEX - Sneaker low - beige beige",
"brand": "New Balance",
"color": "beige beige",
"gender": "ALL",
"price": 119.95,
"list_price": null,
"lowest_price_30d": null,
"discount_percentage": null,
"currency": "EUR",
"image": "https://img01.ztat.net/article/spp-media-p1/b70fd1ce963b4c089867ff743c928639/6a280b8c5b14458bac10eca5038307e6.jpg?imwidth=500&filter=packshot",
"is_sponsored": true
},
{
"@type": "ZalandoSearchProduct",
"id": "ONM11A03W-A12",
"url": "https://www.zalando.de/on-cloud-sneaker-low-white-white-onm11a03w-a12.html",
"name": "CLOUD 6 - Sneaker low - white white",
"brand": "On",
"color": "white white",
"gender": "WOMEN",
"price": 160,
"list_price": null,
"lowest_price_30d": null,
"discount_percentage": null,
"currency": "EUR",
"image": "https://img01.ztat.net/article/spp-media-p1/f79a393f63d7495dab58f9650449b2c3/702440797f1742eca146bea26490c4f8.jpg?imwidth=500&filter=packshot",
"is_sponsored": true
}
],
"total_results_on_zalando": 51621,
"pages_fetched": 1,
"response_bytes": 1671453
},
"total_points": 2
}Zalando Products Search
Search Zalando products by keyword with optional brand, size, colour, price range and sort filters. Returns name, brand, colour, gender, price, list price, 30-day lowest price, discount, image and sponsored flag. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Search term. e.g. sneaker
Max items (up to 300)
1 <= x <= 300Starting page
x >= 1Brand (Zalando slug). e.g. e.g. nike-sportswear
Sort by. Options: popularity = Popularity, activation_date = Newest, price_asc = Price: low to high, price_desc = Price: high to low, sale = Sale
popularity, activation_date, price_asc, price_desc, sale Size. e.g. e.g. M, 42, XL
Color (English). e.g. e.g. black
Min price (EUR)
x >= 0Max price (EUR)
x >= 0Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.